/*************************************************************************
* File Name          : ColorLoop.ino
* Author             : Evan
* Updated            : Ander
* Version            : V1.0.2
* Date               : 27/03/2014
* Description        : Test for Makeblock Electronic modules of  MeRGBLed and
                       LedStrip.  
* License            : CC-BY-SA 3.0
* Copyright (C) 2013 Maker Works Technology Co., Ltd. All right reserved.
* http://www.makeblock.cc/
**************************************************************************/
#include "Makeblock.h"
#include <SoftwareSerial.h>
#include <Wire.h>

MeRGBLed led(PORT_3);
int ledCount = 30;
float j,f,k;
uint8_t t=0;

void setup()
{
  led.setNumber(ledCount);
}
void loop(){
  color_loop();
}
void color_loop()
{ 
  
  if(t==30)t=0;
  uint8_t red =   64*(1+sin(t/2.0 + j/4.0       ));
  uint8_t green = 64*(1+sin(t/1.0 + f/9.0  + 2.1));
  uint8_t blue =  64*(1+sin(t/3.0 + k/14.0 + 4.2));
  for (uint8_t m = 0; m < ledCount; m++)
  {
    if(m==t||m==t+1)
    {
    led.setColorAt(m, red,green,blue);
    }
    else
    {
       led.setColorAt(m, 0,0,0);
    }
  }
  t++;
  led.show();
  j+=random(1,6)/6.0;
  f+=random(1,6)/6.0;
  k+=random(1,6)/6.0;
  delay(50);
}


